import { appVersionCode, baseAPIUrl } from '@/http/configAPI.js'
import { getChromeStorage } from '@/uilts/chromeExtension.js'

export async function selfFetch(url, params, config = {}) {
    let { method = 'POST', contentType = 'application/json' } = config;
    let _url = `${baseAPIUrl}${url}`;

    let storage_mid = await getChromeStorage('mid') || ''
    const { accessToken: token = '', uid = '' } = await getChromeStorage('userInfo') || {};
    const { mid } = storage_mid || {};

    let baseInfo = {
        appVersionCode,
        mid,
        machineCode: mid,
        token: token,
        uid,
        loginUid: uid,
        appType: 1,
    };

    return fetch(_url, {
        method, 
        headers: {
            'Content-Type': contentType,
        },
        body: JSON.stringify({
            "baseInfo": baseInfo,
            "params": params
        })
    }).then(response => {
        return response.json();
    }).catch((error) => {
        return Promise.reject(error);
    });
}